<template>
  <v-dialog v-model:model-value="store.dialogState">
    <v-form>
      <v-card class="pa-5" :title="store.titleDialog">
        <div v-for="(value, key) in store.branchItem" :key="key">
          <v-text-field v-if="key !== 'id'" :label="key" v-model="store.branchItem[key]">
          </v-text-field>
        </div>
        <template #actions>
          <v-row justify="end">
            <v-btn @click="store.closeDialog"> Cancel </v-btn>
            <v-btn @click="store.save"> Save </v-btn>
          </v-row>
        </template>
      </v-card>
    </v-form>
  </v-dialog>
</template>

<script setup lang="ts">
import { useBranchStore } from '@/stores/branch'

const store = useBranchStore()
</script>
